Skip to content
Permalink
Browse files

Update to 3.10.0-rc0 (#6660)

* Cherry pick changes on update_version.py #6643

* Update version to 3.10.0-rc-0

* Do not add rc0 to php packages.xml
  • Loading branch information...
anandolee committed Sep 18, 2019
1 parent a774128 commit 2a4657971d654d30f208ee1c5acb85a989d71591
@@ -1,6 +1,6 @@
Pod::Spec.new do |s|
s.name = 'Protobuf-C++'
s.version = '3.9.0-rc1'
s.version = '3.10.0-rc0'
s.summary = 'Protocol Buffers v3 runtime library for C++.'
s.homepage = 'https://github.com/google/protobuf'
s.license = '3-Clause BSD License'
@@ -5,7 +5,7 @@
# dependent projects use the :git notation to refer to the library.
Pod::Spec.new do |s|
s.name = 'Protobuf'
s.version = '3.9.1'
s.version = '3.10.0-rc0'
s.summary = 'Protocol Buffers v.3 runtime library for Objective-C.'
s.homepage = 'https://github.com/protocolbuffers/protobuf'
s.license = '3-Clause BSD License'
@@ -17,7 +17,7 @@ AC_PREREQ(2.59)
# In the SVN trunk, the version should always be the next anticipated release
# version with the "-pre" suffix. (We used to use "-SNAPSHOT" but this pushed
# the size of one file name in the dist tarfile over the 99-char limit.)
AC_INIT([Protocol Buffers],[3.9.1],[protobuf@googlegroups.com],[protobuf])
AC_INIT([Protocol Buffers],[3.10.0-rc-0],[protobuf@googlegroups.com],[protobuf])

AM_MAINTAINER_MODE([enable])

@@ -5,7 +5,7 @@
<title>Google Protocol Buffers tools</title>
<summary>Tools for Protocol Buffers - Google's data interchange format.</summary>
<description>See project site for more info.</description>
<version>3.9.1</version>
<version>3.10.0-rc0</version>
<authors>Google Inc.</authors>
<owners>protobuf-packages</owners>
<licenseUrl>https://github.com/protocolbuffers/protobuf/blob/master/LICENSE</licenseUrl>
@@ -4,7 +4,7 @@
<Description>C# runtime library for Protocol Buffers - Google's data interchange format.</Description>
<Copyright>Copyright 2015, Google Inc.</Copyright>
<AssemblyTitle>Google Protocol Buffers</AssemblyTitle>
<VersionPrefix>3.9.1</VersionPrefix>
<VersionPrefix>3.10.0-rc0</VersionPrefix>
<LangVersion>6</LangVersion>
<Authors>Google Inc.</Authors>
<TargetFrameworks>netstandard1.0;netstandard2.0;net45</TargetFrameworks>
@@ -28,7 +28,7 @@

<!-- Needed for the net45 build to work on Unix. See https://github.com/dotnet/designs/pull/33 -->
<ItemGroup>
<PackageReference Include="Microsoft.NETFramework.ReferenceAssemblies" Version="1.0.0-preview.2" PrivateAssets="All" />
<PackageReference Include="Microsoft.NETFramework.ReferenceAssemblies" PrivateAssets="All" Version="1.0.0-preview.2"/>
</ItemGroup>

<ItemGroup Condition=" '$(TargetFramework)' == 'net45' or '$(TargetFramework)' == 'netstandard2.0' ">
@@ -4,7 +4,7 @@

<groupId>com.google.protobuf</groupId>
<artifactId>protobuf-bom</artifactId>
<version>3.9.1</version>
<version>3.10.0-rc-0</version>
<packaging>pom</packaging>

<name>Protocol Buffers [BOM]</name>
@@ -4,7 +4,7 @@
<parent>
<groupId>com.google.protobuf</groupId>
<artifactId>protobuf-parent</artifactId>
<version>3.9.1</version>
<version>3.10.0-rc-0</version>
</parent>

<artifactId>protobuf-java</artifactId>
@@ -4,7 +4,7 @@
<parent>
<groupId>com.google.protobuf</groupId>
<artifactId>protobuf-parent</artifactId>
<version>3.9.1</version>
<version>3.10.0-rc-0</version>
</parent>

<artifactId>protobuf-javalite</artifactId>
@@ -4,7 +4,7 @@

<groupId>com.google.protobuf</groupId>
<artifactId>protobuf-parent</artifactId>
<version>3.9.1</version>
<version>3.10.0-rc-0</version>
<packaging>pom</packaging>

<name>Protocol Buffers [Parent]</name>
@@ -4,7 +4,7 @@
<parent>
<groupId>com.google.protobuf</groupId>
<artifactId>protobuf-parent</artifactId>
<version>3.9.1</version>
<version>3.10.0-rc-0</version>
</parent>

<artifactId>protobuf-java-util</artifactId>
@@ -1,6 +1,6 @@
{
"name": "google-protobuf",
"version": "3.9.1",
"version": "3.10.0-rc.0",
"description": "Protocol Buffers for JavaScript",
"main": "google-protobuf.js",
"files": [
@@ -10,15 +10,15 @@
<email>protobuf-opensource@google.com</email>
<active>yes</active>
</lead>
<date>2019-08-02</date>
<time>15:59:08</time>
<date>2019-09-17</date>
<time>16:00:29</time>
<version>
<release>3.9.1</release>
<api>3.9.1</api>
<release>3.10.0RC0</release>
<api>3.10.0</api>
</version>
<stability>
<release>stable</release>
<api>stable</api>
<release>beta</release>
<api>beta</api>
</stability>
<license uri="https://opensource.org/licenses/BSD-3-Clause">3-Clause BSD License</license>
<notes>GA release.</notes>
@@ -37,7 +37,7 @@
#include "upb.h"

#define PHP_PROTOBUF_EXTNAME "protobuf"
#define PHP_PROTOBUF_VERSION "3.9.1"
#define PHP_PROTOBUF_VERSION "3.10.0RC0"

#define MAX_LENGTH_OF_INT64 20
#define SIZEOF_INT64 8
@@ -8,7 +8,7 @@
</parent>
<groupId>com.google.protobuf</groupId>
<artifactId>protoc</artifactId>
<version>3.9.1</version>
<version>3.10.0-rc-0</version>
<packaging>pom</packaging>
<name>Protobuf Compiler</name>
<description>
@@ -30,7 +30,7 @@

# Copyright 2007 Google Inc. All Rights Reserved.

__version__ = '3.9.1'
__version__ = '3.10.0rc0'

if __name__ != '__main__':
try:
@@ -1,6 +1,6 @@
Gem::Specification.new do |s|
s.name = "google-protobuf"
s.version = "3.9.1"
s.version = "3.10.0.rc.0"
git_tag = "v#{s.version.to_s.sub('.rc.', '-rc')}" # Converts X.Y.Z.rc.N to vX.Y.Z-rcN, used for the git tag
s.licenses = ["BSD-3-Clause"]
s.summary = "Protocol Buffers"
@@ -18,7 +18,7 @@ else
PTHREAD_DEF =
endif

PROTOBUF_VERSION = 20:1:0
PROTOBUF_VERSION = 21:0:0

if GCC
# Turn on all warnings except for sign comparison (we ignore sign comparison

Some generated files are not rendered by default. Learn more.

Some generated files are not rendered by default. Learn more.

Some generated files are not rendered by default. Learn more.

Some generated files are not rendered by default. Learn more.

Some generated files are not rendered by default. Learn more.

Some generated files are not rendered by default. Learn more.

Some generated files are not rendered by default. Learn more.

@@ -288,14 +288,14 @@

// Shared google3/opensource definitions. //////////////////////////////////////

#define PROTOBUF_VERSION 3009001
#define PROTOBUF_MIN_HEADER_VERSION_FOR_PROTOC 3009000
#define PROTOBUF_MIN_PROTOC_VERSION 3009000
#define PROTOBUF_VERSION 3010000
#define PROTOBUF_MIN_HEADER_VERSION_FOR_PROTOC 3010000
#define PROTOBUF_MIN_PROTOC_VERSION 3010000
#define PROTOBUF_VERSION_SUFFIX ""

// The minimum library version which works with the current version of the
// headers.
#define GOOGLE_PROTOBUF_MIN_LIBRARY_VERSION 3009000
#define GOOGLE_PROTOBUF_MIN_LIBRARY_VERSION 3010000

#if defined(GOOGLE_PROTOBUF_NO_RTTI) && GOOGLE_PROTOBUF_NO_RTTI
#define PROTOBUF_RTTI 0

Some generated files are not rendered by default. Learn more.

Some generated files are not rendered by default. Learn more.

@@ -81,23 +81,23 @@ namespace internal {

// The current version, represented as a single integer to make comparison
// easier: major * 10^6 + minor * 10^3 + micro
#define GOOGLE_PROTOBUF_VERSION 3009001
#define GOOGLE_PROTOBUF_VERSION 3010000

// A suffix string for alpha, beta or rc releases. Empty for stable releases.
#define GOOGLE_PROTOBUF_VERSION_SUFFIX ""

// The minimum header version which works with the current version of
// the library. This constant should only be used by protoc's C++ code
// generator.
static const int kMinHeaderVersionForLibrary = 3009000;
static const int kMinHeaderVersionForLibrary = 3010000;

// The minimum protoc version which works with the current version of the
// headers.
#define GOOGLE_PROTOBUF_MIN_PROTOC_VERSION 3009000
#define GOOGLE_PROTOBUF_MIN_PROTOC_VERSION 3010000

// The minimum header version which works with the current version of
// protoc. This constant should only be used in VerifyVersion().
static const int kMinHeaderVersionForProtoc = 3009000;
static const int kMinHeaderVersionForProtoc = 3010000;

// Verifies that the headers and libraries are compatible. Use the macro
// below to call this.

Some generated files are not rendered by default. Learn more.

Some generated files are not rendered by default. Learn more.

Some generated files are not rendered by default. Learn more.

0 comments on commit 2a46579

Please sign in to comment.
You can’t perform that action at this time.